231N/A#
553N/A# Copyright (c) 2004, 2012, Oracle and/or its affiliates. All rights reserved.
231N/A# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
231N/A#
231N/A# This code is free software; you can redistribute it and/or modify it
231N/A# under the terms of the GNU General Public License version 2 only, as
231N/A# published by the Free Software Foundation.
231N/A#
231N/A# This code is distributed in the hope that it will be useful, but WITHOUT
231N/A# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
231N/A# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
231N/A# version 2 for more details (a copy is included in the LICENSE file that
231N/A# accompanied this code).
231N/A#
231N/A# You should have received a copy of the GNU General Public License version
231N/A# 2 along with this work; if not, write to the Free Software Foundation,
231N/A# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
231N/A#
553N/A# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
553N/A# or visit www.oracle.com if you need additional information or have any
553N/A# questions.
231N/A#
231N/A
231N/A# @test
231N/A# @bug 4990825
231N/A# @run shell/timeout=60 jstatdDefaults.sh
231N/A# @summary Test functionality of 'jstatd &'
. ${TESTSRC-.}/../../jvmstat/testlibrary/utils.sh
setup
verify_os
cleanup() {
kill_proc ${JSTATD_PID}
}
trap 'cleanup' 0 HUP INT QUIT TERM
JSTATD="${TESTJAVA}/bin/jstatd"
JPS="${TESTJAVA}/bin/jps"
JSTAT="${TESTJAVA}/bin/jstat"
HOSTNAME=`uname -n`
JSTATD_OUT="jstatd_$$.out"
${JSTATD} -J-XX:+UsePerfData -J-Djava.security.policy=${TESTSRC}/all.policy 2>&1 > ${JSTATD_OUT} &
JSTATD_PID=$!
echo "jstatd started as pid ${JSTATD_PID}"
sleep 3
${JPS} -J-XX:+UsePerfData ${HOSTNAME} 2>&1 | awk -f ${TESTSRC}/jpsOutput1.awk
if [ $? -ne 0 ]
then
echo "Output of jps differs from expected output. Failed."
cleanup
exit 1
fi
${JSTAT} -J-XX:+UsePerfData -J-Duser.language=en -gcutil ${JSTATD_PID}@${HOSTNAME} 250 5 2>&1 | awk -f ${TESTSRC}/jstatGcutilOutput1.awk
RC=$?
if [ ${RC} -ne 0 ]
then
echo "jstat output differs from expected output"
fi
if [ -s ${JSTATD_OUT} ]
then
echo "jstatd generated the following, unexpected output:"
RC=1
fi
cleanup
exit ${RC}